<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD Xhtml 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<!--
 *************************************************************************
 * The contents of this file are subject to the Openbravo  Public  License
 * Version  1.1  (the  "License"),  being   the  Mozilla   Public  License
 * Version 1.1  with a permitted attribution clause; you may not  use this
 * file except in compliance with the License. You  may  obtain  a copy of
 * the License at http://www.openbravo.com/legal/license.html
 * Software distributed under the License  is  distributed  on  an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific  language  governing  rights  and  limitations
 * under the License.
 * The Original Code is Openbravo ERP.
 * The Initial Developer of the Original Code is Openbravo SLU
 * All portions are Copyright (C) 2009 Openbravo SLU
 * All Rights Reserved.
 * Contributor(s):  ______________________________________.
 ************************************************************************
-->
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Not invoiced shipments filter</title>
    <link rel="shortcut icon" href="../../../../../web/images/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../../../../../web/skins/Default/Openbravo_ERP_250.css" id="paramCSS" />
     
    <script language="JavaScript" type="text/javascript" id="paramDirectory">
      var baseDirectory = "../../../../../web/";
      </script>
      <script language="JavaScript" src="../../../../../web/js/messages.js" type="text/javascript">
      </script>
      <script language="JavaScript" src="../utility/DynamicJS.js" type="text/javascript"></script>
      <script language="JavaScript" type="text/javascript" id="paramLanguage">
        var defaultLang = "en_US";
      </script>
      <script language="JavaScript" src="../../../../../web/js/shortcuts.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/utils.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/windowKeyboard.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/searchs.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/ajax.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/default/MessageBox.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/messages.js" type="text/javascript"></script>
      <script language="JavaScript" src="../utility/DynamicJS.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/jscalendar/calendar.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/jscalendar/lang/calendar-es.js" type="text/javascript" id="fieldCalendar"></script>
      <script language="JavaScript" src="../../../../../web/js/default/DateTextBox.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/dojoConfig.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/dojo/dojo.js" type="text/javascript"></script>
      <script type="text/javascript">
        dojo.hostenv.writeIncludes(); //makes debugging in Venkman possible
      </script>
<script language="JavaScript" type="text/javascript">

function onloadFunctions() {
 keyArray[keyArray.length] = new keyArrayItem("ENTER", "openSearch(null, null, '../info/BusinessPartner.html', null, false, 'frmMain', 'inpcBPartnerId', 'inpBpartnerId_DES', inputValue(document.frmMain.inpBpartnerId_DES), 'inpIDValue', inputValue(document.frmMain.inpcBPartnerId), 'Command', 'KEY');", "inpBpartnerId_DES", "null");
}
</script>
	<script language="JavaScript" type="text/javascript">
	function validate()
	{
		var frm = document.frmMain;
			if (inputValue(document.frmMain.inpCurrencyId) == null || inputValue(document.frmMain.inpCurrencyId) == "") {
		    setWindowElementFocus(document.frmMain.inpCurrencyId);
		    showJSMessage(7);
		    return false;
		  }
		return true;
	}
	function onLoadDo(){
		this.windowTables = new Array(
		  new windowTableId('client', 'buttonHTML')
		);
		setWindowTableParentElement();
		this.tabsTables = new Array(
		  new tabTableId('tdtopTabs')
		);
		setTabTableParentElement();
		enableShortcuts('edition');
		setBrowserAutoComplete(false);
		
		try {
		  onloadFunctions();
		} catch (e) {}
		resizeArea();
		updateMenuIcon('buttonMenu');

		setWindowElementFocus('firstElement');
	}

	function onResizeDo(){
		resizeArea();
	}
	</script>
</head>
    <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="onLoadDo();" onresize="onResizeDo();">
<form method="post" action="ReportOrderNotShipped.html" name="frmMain" id="form">
  <input type="hidden" name="Command"></input>
  <table height="100%" border="0" cellpadding="0" cellspacing="0" id="main">
    <tr>
      <td valign="top" id="tdleftTabs"></td>
      <td valign="top">
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Main_ContentPane_Left">
          <tr><td class="Main_NavBar_bg_left" id="tdleftSeparator"></td></tr>
          <tr><td class="Main_ToolBar_bg_left" valign="top"></td></tr>
          <tr><td class="Main_Client_bg_left"></td></tr>
          <tr><td class="Main_Bottom_bg_left"></td></tr>
        </table>
      </td>
      <td valign="top">
        <div class="Main_ContentPane_NavBar" id="tdtopButtons"></div>
        <div class="Main_ContentPane_ToolBar" id="paramToolBar"></div>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Main_ContentPane_TabPane" id="tdtopTabs">
          <tr id="paramParentTabContainer"></tr>
          <tr id="paramMainTabContainer"></tr>
          <tr id="paramChildTabContainer"></tr>
        </table>
        <div class="Main_ContentPane_Client" style="overflow: auto; display: none;" id="client">
                <table class="dojoTabContainer" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
                  <tr>
                    <td>
                      <table class="dojoTabPaneWrapper" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
                        <tr>
                          <td>
                            <!-- MessageBox -->

                            <table cellpadding="0" cellspacing="0" id="messageBoxID" class="MessageBoxyy">
                              <tbody>
                              <tr class="MessageBox_TopMargin">
                                <td class="MessageBox_LeftMargin"></td>
                                <td></td>
                                <td class="MessageBox_RightMargin"></td>
                              </tr>
                              <tr>
                                <td class="MessageBox_LeftMargin"></td>
                                <td>

                                  <table cellpadding="0" cellspacing="0" style="width: 100%;">
                                    <tbody>
                                    <tr>
                                      <td>
                                        <div class="MessageBox_TopLeft"></div>
                                        <div class="MessageBox_Left"></div>
                                      </td>
                                      <td class="MessageBox_bg">

                                        <table class="MessageBox_Top">
                                        <tbody>
                                          <tr>
                                            <td>
                                              <span>
                                              <table cellpadding="0" cellspacing="0" class="MessageBox_Body_ContentCell">
                                                <tbody>
                                                <tr>
                                                  <td class="MessageBox_Icon_ContentCell">
                                                    <div class="MessageBox_Icon"></div>
                                                  </td>
                                                  <td style="vertical-align: top;" id="messageBoxIDContent">
                                                    <span>
                                                      <div class="MessageBox_TextTitle" id="messageBoxIDTitle">
                                                        xxInfo: AccessTableWithNoView
                                                      </div>
                                                      <div class="MessageBox_TextDescription" id="messageBoxIDMessage">
                                                        xxThe current information is empty.
                                                      </div>
                                                      <div class="MessageBox_TextSeparator"></div>
                                                    </span>
                                                  </td>
                                                </tr>
                                                </tbody>
                                              </table>
                                              </span>
                                            </td>
                                          </tr>
                                          </tbody>
                                        </table>

                                      </td>
                                      <td class="MessageBox_RightTrans">
                                        <div class="MessageBox_TopRight"></div>
                                        <div class="MessageBox_Right"></div>
                                      </td>
                                    </tr>
                                    <tr>
                                      <td rowspan="2" class="MessageBox_BottomLeft">
                                      </td>
                                      <td class="MessageBox_BottomTrans MessageBox_bg">
                                      </td>
                                      <td rowspan="2" class="MessageBox_BottomRight">
                                      </td>
                                    </tr>
                                    <tr>
                                      <td class="MessageBox_Bottom">
                                      </td>
                                    </tr>
                                    </tbody>
                                  </table>

                                </td>
                                <td class="MessageBox_RightMargin"></td>
                              </tr>
                              <tr class="MessageBox_BottomMargin">
                                <td class="MessageBox_LeftMargin"></td>
                                <td></td>
                                <td class="MessageBox_RightMargin"></td>
                              </tr>
                              </tbody>
                            </table>
                            <!-- USER CONTROLS -->
              <table class="Main_Client_TableEdition">
                <tr>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                </tr>
                <tr>
                  <td colspan="6">
                    <table class="FieldGroup" cellspacing="0" cellpadding="0" border="0">
                    <tbody>
                      <tr class="FieldGroup_TopMargin"/>
                      <tr>
                        <td class="FieldGroupTitle_Left"><img class="FieldGroupTitle_Left_bg" border="0" src="../../../../../web/images/blank.gif"/></td>
                        <td class="FieldGroupTitle">Filter</td>
                        <td class="FieldGroupTitle_Right"><img class="FieldGroupTitle_Right_bg" border="0" src="../../../../../web/images/blank.gif"/></td>
                        <td class="FieldGroupContent"/>
                      </tr>
                      <tr class="FieldGroup_BottomMargin"/>
                    </tbody>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td class="TitleCell"><span class="LabelText">From Date</span></td>
                  <td class="TextBox_btn_ContentCell">
                    <table border="0" cellspacing="0" cellpadding="0" summary=""  style="padding-top: 0px;">
                      <tr>
                        <td class="TextBox_ContentCell">
                          <input dojoType="openbravo:DateTextbox" lowerThan="paramDateTo" displayFormat="xx" saveFormat="yy"  class="TextBox_btn_OneCell_width" type="text" name="inpDateFrom" id="paramDateFrom" size="10" maxlength="10" value="" onkeyup="autoCompleteDate(this.textbox, this.displayFormat);return true;"></input><script>djConfig.searchIds.push("paramDateFrom");</script>
                        </td>
                        <td class="FieldButton_bg">
                          <a class="FieldButtonLink" href="#" onfocus="setWindowElementFocus(this); window.status='Calendar'; return true;" onblur="window.status=''; return true;" onkeypress="this.className='FieldButtonLink_active'; return true;" onkeyup="this.className='FieldButtonLink_focus'; return true;"  onclick="showCalendar('frmMain.inpDateFrom', document.frmMain.inpDateFrom.value, false);return false;">
                          <table class="FieldButton" onmouseout="this.className='FieldButton';window.status='';return true;" onmouseover="this.className='FieldButton_hover';window.status='Show calendar';return true;" onmousedown="this.className='FieldButton_active';return true;" onmouseup="this.className='FieldButton';return true;">
                            <tr>
                              <td class="FieldButton_bg">
                                <img alt="Calendar" class="FieldButton_Icon FieldButton_Icon_Calendar" title="Calendar" src="../../../../../web/images/blank.gif" border="0"></img>
                              </td>
                            </tr>
                          </table>
                          </a>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td class="TitleCell"></td>
                  <td class="TitleCell"><span class="LabelText">To Date</span></td>
                  <td class="TextBox_btn_ContentCell">
                    <table border="0" cellspacing="0" cellpadding="0" summary=""  style="padding-top: 0px;">
                      <tr>
                        <td class="TextBox_ContentCell">
                          <input dojoType="openbravo:DateTextbox" greaterThan="paramDateFrom" displayFormat="xx" saveFormat="yy"  class="TextBox_btn_OneCell_width" type="text" name="inpDateTo" id="paramDateTo" size="10" maxlength="10" value="" onkeyup="autoCompleteDate(this.textbox, this.displayFormat);return true;"></input><script>djConfig.searchIds.push("paramDateTo");</script>
                        </td>
                        <td class="FieldButton_bg">
                          <a class="FieldButtonLink" href="#" onfocus="setWindowElementFocus(this); window.status='Calendar'; return true;" onblur="window.status=''; return true;" onkeypress="this.className='FieldButtonLink_active'; return true;" onkeyup="this.className='FieldButtonLink_focus'; return true;"  onclick="showCalendar('frmMain.inpDateTo', document.frmMain.inpDateTo.value, false);return false;" >
                          <table class="FieldButton"onmouseout="this.className='FieldButton';window.status='';return true;" onmouseover="this.className='FieldButton_hover';window.status='Show calendar';return true;" onmousedown="this.className='FieldButton_active';return true;" onmouseup="this.className='FieldButton';return true;">
                            <tr>
                              <td class="FieldButton_bg">
                                <img alt="Calendar" class="FieldButton_Icon FieldButton_Icon_Calendar" title="Calendar" src="../../../../../web/images/blank.gif" border="0"></img>
                              </td>
                            </tr>
                          </table>
                          </a>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td class="ContentCell"></td>
                </tr>
                <tr>
                  <td class="TitleCell"><span class="LabelText">Business Partner</span></td>
                  <td class="TextBox_btn_ContentCell" colspan="2">
                    <table border="0" cellspacing="0" cellpadding="0" summary=""  style="padding-top: 0px;">
                      <tr>
                        <td class="TextBox_ContentCell">
			              <input type="hidden" name="inpcBPartnerId" id="paramBPartnerId" value=""></input> 
                          <input class="dojoValidateValid TextBox_btn_TwoCells_width" type="text"  name="inpBpartnerId_DES" maxlength="20" value=""></input>
                        </td>
                        <td class="FieldButton_ContentCell">
                          <a class="FieldButtonLink" href="#" onfocus="setWindowElementFocus(this); window.status='Business Partner'; return true;" onblur="window.status=''; return true;" onkeypress="this.className='FieldButtonLink_active'; return true;" onkeyup="this.className='FieldButtonLink_focus'; return true;" onclick="openSearch(null, null, '../info/BusinessPartner.html', 'SELECTOR_BUSINESS', false, 'frmMain', 'inpcBPartnerId', 'inpBpartnerId_DES', document.frmMain.inpBpartnerId_DES.value);return false;">
                          <table class="FieldButton"  onmouseout="this.className='FieldButton';window.status='';return true;" onmouseover="this.className='FieldButton_hover';window.status='Search';return true;" onmousedown="this.className='FieldButton_active';return true;" onmouseup="this.className='FieldButton';return true;">
                            <tr>
                              <td class="FieldButton_bg">
                                <img alt="Business Partner" class="FieldButton_Icon FieldButton_Icon_BusinessPartner" title="Business Partner" src="../../../../../web/images/blank.gif" border="0"></img>
                              </td>
                            </tr>
                          </table>
                          </a>
                        </td>
                      </tr>
                    </table>
                  </td>
                   <td class="TitleCell"><span class="LabelText">Organization</span></td>
                  <td class="Combo_ContentCell" colspan="2">
                    <select name="inpOrg" id="inpOrg" class="Combo Combo_TwoCells_width">
                      <option value=""> <div id="reportAD_ORGID"></div></option>
                    </select></td>
                </tr>       
                <tr>
                  <td class="TitleCell"><span class="LabelText">Order Document No.</span></td>
                  <td class="TextBox_ContentCell" colspan="2"><input class="dojoValidateValid TextBox_TwoCells_width" id="paramOrderDocNo" type="text" size="40" maxlenght="100" name="inpOrderDocNo" value=""></input><script>djConfig.searchIds.push("paramOrderDocNo");</script></td>
                  <td class="TitleCell"><span class="LabelText">Shipment Document No.</span></td>
                  <td class="TextBox_ContentCell" colspan="2"><input class="dojoValidateValid TextBox_TwoCells_width" id="paramShipmentDocNo" type="text" size="40" maxlenght="100" name="inpShipmentDocNo" value=""></input><script>djConfig.searchIds.push("paramShipmentDocNo");</script></td>
                </tr>
                <tr>
                    <td class="TitleCell"><span class="LabelText">Currency</span></td>
                  <td class="Combo_ContentCell">
  		     		<select name="inpCurrencyId" id="inpCurrencyId" class="ComboKey Combo_OneCell_width" required="true">
     		      	<option value=""><div id="reportC_Currency_ID"></div></option>
   		     		</select>
		   		  </td> 
		   		  <td class="ContentCell"></td>
		   		   <td class="TitleCell" id="PaymentRule_lbl_td"><span class="LabelText">Form of Payment</span></td>
					<td class="Combo_ContentCell">
                    <select  name="inppaymentrule" id="reportPaymentRule_inp_td" class="Combo Combo_OneCell_width">
                      <option value=""> <div id="reportPaymentRule"></div></option>
                    </select>
                  </td>
                  <td class="ContentCell"></td>
                  <td class="ContentCell"></td>
                </tr>
                <tr>
		   		  				
					 <td class="TitleCell" id="PaymentRule_lbl_td"><span class="LabelText">Payment Terms</span></td>
								
					 <td class="Combo_ContentCell">
                    <select  name="inppaymentterm" id="PaymentTerm_inp_td" class="Combo Combo_OneCell_width">
                      <option value=""> <div id="reportPaymentTerm"></div></option>
                    </select>
                  </td>
					<td class="ContentCell"></td>
					<td class="TitleCell"><span class="LabelText">Delivery Terms</span></td>
                  <td class="Combo_ContentCell" colspan="2">
                    <select  name="inpDeliveryTerms" id="inpDeliveryTerms" class="Combo Combo_TwoCells_width">
                      <option value=""> <div id="reportDeliveryTerms"></div></option>
                    </select>
                  </td>
                </tr>
                <tr>
                  <td colspan="6">
                    <table class="FieldGroup" cellspacing="0" cellpadding="0" border="0">
                    <tbody>
                      <tr class="FieldGroup_TopMargin"/>
                      <tr>
                        <td class="FieldGroupTitle_Left"><img class="FieldGroupTitle_Left_bg" border="0" src="../../../../../web/images/blank.gif"/></td>
                        <td class="FieldGroupTitle">View Results</td>
                        <td class="FieldGroupTitle_Right"><img class="FieldGroupTitle_Right_bg" border="0" src="../../../../../web/images/blank.gif"/></td>
                        <td class="FieldGroupContent"/>
                      </tr>
                      <tr class="FieldGroup_BottomMargin"/>
                    </tbody>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td class="Button_RightAlign_ContentCell" colspan="2">
                    <div>
                      <button type="button" 
                        id="buttonHTML" 
                        class="ButtonLink" 
                        onclick="openServletNewWindow('FIND_HTML', true, 'ReportShipmentNotInvoiced.html', 'ReportShipmentNotInvoiced', null, false, '700', '1000', true);return false;" 
                        onfocus="buttonEvent('onfocus', this); window.status='View Results in a New Window'; return true;" 
                        onblur="buttonEvent('onblur', this);" 
                        onkeyup="buttonEvent('onkeyup', this);" 
                        onkeydown="buttonEvent('onkeydown', this);" 
                        onkeypress="buttonEvent('onkeypress', this);" 
                        onmouseup="buttonEvent('onmouseup', this);" 
                        onmousedown="buttonEvent('onmousedown', this);" 
                        onmouseover="buttonEvent('onmouseover', this); window.status='View Results in a New Window'; return true;" 
                        onmouseout="buttonEvent('onmouseout', this);">
                        <table class="Button">
                          <tr>
                            <td class="Button_left"><img class="Button_Icon Button_Icon_html" alt="View Results in a New Window" title="View Results in a New Window" src="../../../../../web/images/blank.gif" border="0" /></td>
                            <td class="Button_text">HTML Format</td>
                            <td class="Button_right"></td>
                          </tr>
                        </table>
                      </button>
                    </div>
                  </td>
                  <td class="Button_LeftAlign_ContentCell" colspan="2">
                    <div>
                      <button type="button" 
                        id="buttonHTML" 
                        class="ButtonLink" 
                        onclick="openServletNewWindow('FIND_PDF', true, 'ReportShipmentNotInvoiced.pdf', 'ReportShipmentNotInvoiced', null, false, '700', '1000', true);return false;" 
                        onfocus="buttonEvent('onfocus', this); window.status='View Results in a New Window'; return true;" 
                        onblur="buttonEvent('onblur', this);" 
                        onkeyup="buttonEvent('onkeyup', this);" 
                        onkeydown="buttonEvent('onkeydown', this);" 
                        onkeypress="buttonEvent('onkeypress', this);" 
                        onmouseup="buttonEvent('onmouseup', this);" 
                        onmousedown="buttonEvent('onmousedown', this);" 
                        onmouseover="buttonEvent('onmouseover', this); window.status='View Results in a New Window'; return true;" 
                        onmouseout="buttonEvent('onmouseout', this);">
                        <table class="Button">
                          <tr>
                            <td class="Button_left"><img class="Button_Icon Button_Icon_pdf" alt="View Results in a New Window" title="View Results in a New Window" src="../../../../../web/images/blank.gif" border="0" /></td>
                            <td class="Button_text">PDF Format</td>
                            <td class="Button_right"></td>
                          </tr>
                        </table>
                      </button>
                    </div>
                  </td>
                  <td class="ContentCell"></td>
                  <td class="ContentCell"></td>
                </tr>
  		      </table>

                      <!-- USER CONTROLS -->
                </td>
              </tr>
              </table>
              </td>
            </tr>
          </table>
        </div>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Menu_ContentPane_Bottom" id="tdbottomSeparator">
          <tr>
            <td class="Main_Bottom_bg"><img src="../../../../../web/images/blank.gif" border="0"></td>
          </tr>
        </table>
      </td>
      <td valign="top">
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Main_ContentPane_Right" id="tdrightSeparator">
          <tr><td class="Main_NavBar_bg_right"></td></tr>
          <tr><td class="Main_ToolBar_bg_right" valign="top"></td></tr>
          <tr><td class="Main_Client_bg_right"></td></tr>
          <tr><td class="Main_Bottom_bg_right"></td></tr>
        </table>
      </td>
    </tr>
  </table>
</form>
</body>
</html>
